curl --request PATCH \
--url https://api.devic.ai/v1/tool-servers/{toolServerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"enabled": true,
"mcpServerProperties": {
"slug": "<string>"
},
"authenticationConfig": {
"jwt": {
"token": "<string>"
},
"basic": {
"username": "<string>",
"password": "<string>"
},
"oauth2": {
"refreshToken": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"refreshTokenEndpoint": "<string>",
"scope": "<string>"
},
"customHeader": {
"headerName": "<string>",
"value": "<string>"
}
},
"imageUrl": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
]
}
'import requests
url = "https://api.devic.ai/v1/tool-servers/{toolServerId}"
payload = {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"enabled": True,
"mcpServerProperties": { "slug": "<string>" },
"authenticationConfig": {
"jwt": { "token": "<string>" },
"basic": {
"username": "<string>",
"password": "<string>"
},
"oauth2": {
"refreshToken": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"refreshTokenEndpoint": "<string>",
"scope": "<string>"
},
"customHeader": {
"headerName": "<string>",
"value": "<string>"
}
},
"imageUrl": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": True,
"parameters": {
"type": "<string>",
"properties": {},
"required": ["<string>"],
"additionalProperties": True
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": ["<string>"],
"pathParametersKeys": ["<string>"],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": True,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": True,
"responsePostProcessingTemplate": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
url: '<string>',
enabled: true,
mcpServerProperties: {slug: '<string>'},
authenticationConfig: {
jwt: {token: '<string>'},
basic: {username: '<string>', password: '<string>'},
oauth2: {
refreshToken: '<string>',
clientId: '<string>',
clientSecret: '<string>',
refreshTokenEndpoint: '<string>',
scope: '<string>'
},
customHeader: {headerName: '<string>', value: '<string>'}
},
imageUrl: '<string>',
toolDefinitions: [
{
function: {
name: '<string>',
description: '<string>',
strict: true,
parameters: {
type: '<string>',
properties: {},
required: ['<string>'],
additionalProperties: true
}
},
type: 'function',
endpoint: '<string>',
queryParametersKeys: ['<string>'],
pathParametersKeys: ['<string>'],
bodyPropertyKey: '<string>',
customHeaders: [{headerName: '<string>', value: '<string>'}],
isFormDataBody: true,
bodyJsonTemplate: '<string>',
responsePostProcessingEnabled: true,
responsePostProcessingTemplate: '<string>'
}
]
})
};
fetch('https://api.devic.ai/v1/tool-servers/{toolServerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"clientUID": "<string>",
"enabled": true,
"url": "<string>",
"identifier": "<string>",
"name": "<string>",
"description": "<string>",
"mcpType": true,
"mcpServerProperties": {
"slug": "<string>"
},
"toolServerDefinitionId": "<string>",
"imageUrl": "<string>",
"creartionTimestampMs": 123,
"lastEditTimestampMS": 123,
"toolServerDefinition": {
"_id": "<string>",
"name": "<string>",
"description": "<string>",
"toolDefinitions": [
{
"function": {
"name": "<string>",
"description": "<string>",
"strict": true,
"parameters": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": true
}
},
"type": "function",
"endpoint": "<string>",
"queryParametersKeys": [
"<string>"
],
"pathParametersKeys": [
"<string>"
],
"bodyPropertyKey": "<string>",
"customHeaders": [
{
"headerName": "<string>",
"value": "<string>"
}
],
"isFormDataBody": true,
"bodyJsonTemplate": "<string>",
"responsePostProcessingEnabled": true,
"responsePostProcessingTemplate": "<string>"
}
]
}
}Update tool server
Updates the tool server information. If toolDefinitions array is provided, it will update (or create) the tool server definition with the new tools.
Authorizations
Use JWT token for authentication
Path Parameters
The unique identifier of the tool server
Body
Tool server name
Tool server description
Base URL for the tool server API
Whether the tool server is enabled
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Image URL for the tool server
Array of tool definitions
Show child attributes
Show child attributes
Response
Tool server updated successfully
Tool server ID
Client UID
Whether the tool server is enabled
Base URL
Tool server identifier
Tool server name
Tool server description
Whether this is an MCP type server
Show child attributes
Show child attributes
Tool server definition ID
Image URL
Creation timestamp in milliseconds
Last edit timestamp in milliseconds
Show child attributes
Show child attributes